Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ReferenceComponent

All Superinterfaces:
  ContentComponent, WCMApiObject

    public interface ReferenceComponent

extends ContentComponent

Represents a component that can contain a reference to one `LibraryComponent`. `ReferenceComponent` objects support all component types that can be stored in the Component Library.

A `ReferenceComponent` is a `ContentComponent` and cannot be stored as a separate entity in the repository.

This interface provides methods to set and retrieve the LibraryComponent that this `ReferenceComponent` refers to.

note: since `v6.0.0`, a `ReferenceComponent` is referred to as an `"Reference Element"`in the Authoring UI.``

See Also:
  `ContentComponent`, `LibraryComponent`

Method Summary
`LibraryComponent` | `getComponentRef()` Returns the Library Component that this component refers to.
`DocumentType<? extends ReferenceComponent>` | `getDocumentType()` Returns the `DocumentType` of the `ContentComponent`.
`void` | `setComponentRef(LibraryComponent componentRef)` Sets the Library Component that this component refers to.

Methods inherited from interface com.ibm.workplace.wcm.api.ContentComponent
`getContainer, getName`

Method Detail

### getDocumentType

    DocumentType<? extends ReferenceComponent> getDocumentType()

  Description copied from interface: `ContentComponent`
  Returns the `DocumentType` of the `ContentComponent`.

  Specified by:
    `getDocumentType` in interface `ContentComponent`
  Returns:
    the type
  See Also:
    `ContentComponent.getDocumentType()`

### getComponentRef

    LibraryComponent getComponentRef()

  Returns the Library Component that this component refers to.

  Returns:
    the Library Component that this `ReferenceComponent` refers to

### setComponentRef

    void setComponentRef(LibraryComponent componentRef)

  Sets the Library Component that this component refers to.

  Parameters:
    `componentRef` - the new Library Component

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD